<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	>

<xsl:output 
	method="text" 
	indent="no" 
	omit-xml-declaration="yes"/>

<!-- 
//
// NextGeneration Template
// 
// Template Set:	Business Service Web Services Wrapper
// Language:		.NET C#
// Template:		AssemblyInfo
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "AssemblyInfo.vb" -->
<!-- Folder = "BusinessWebServiceWrapper" -->

<xsl:param name="ObjectName" select="'TimesheetItem'"/>

<!--
//
// Main Template
//
-->
<xsl:template match="/">
<xsl:text>
Imports System
Imports System.Runtime.InteropServices
Imports System.Reflection
Imports System.Runtime.CompilerServices

'
' General Information about an assembly is controlled through the following 
' set of attributes. Change these attribute values to modify the information
' associated with an assembly.
'
&lt;Assembly: AssemblyTitle("BusinessWebServiceWrapper")&gt;
&lt;Assembly: AssemblyDescription("Business Service Web Service Wrapper")&gt;
&lt;Assembly: AssemblyConfiguration("")&gt;
&lt;Assembly: AssemblyCompany("")&gt;
&lt;Assembly: AssemblyProduct("Business Service Web Service Wrapper")&gt;
&lt;Assembly: AssemblyCopyright("")&gt;
&lt;Assembly: AssemblyTrademark("")&gt;
&lt;Assembly: AssemblyCulture("")&gt;		

'
' Version information for an assembly consists of the following four values:
'
'      Major Version
'      Minor Version 
'      Build Number
'      Revision
'
' You can specify all the values or you can default the Revision and Build Numbers 
' by Imports the '*' as shown below:

&lt;Assembly: AssemblyVersion("1.0.*")&gt;

'
' In order to sign your assembly you must specify a key to use. Refer to the 
' Microsoft .NET Framework documentation for more information on assembly signing.
'
' Use the attributes below to control which key is used for signing. 
'
' Notes: 
'   (*) If no key is specified, the assembly is not signed.
'   (*) KeyName refers to a key that has been installed in the Crypto Service
'       Provider (CSP) on your machine. KeyFile refers to a file which contains
'       a key.
'   (*) If the KeyFile and the KeyName values are both specified, the 
'       following processing occurs:
'       (1) If the KeyName can be found in the CSP, that key is used.
'       (2) If the KeyName does not exist and the KeyFile does exist, the key 
'           in the KeyFile is installed into the CSP and used.
'   (*) In order to create a KeyFile, you can use the sn.exe (Strong Name) utility.
'       When specifying the KeyFile, the location of the KeyFile should be
'       relative to the project output directory which is
'       %Project Directory%\obj\&lt;configuration&gt;. For example, if your KeyFile is
'       located in the project directory, you would specify the AssemblyKeyFile 
'       attribute as &lt;Assembly: AssemblyKeyFile("..\\..\\mykey.snk")&gt;
'   (*) Delay Signing is an advanced option - see the Microsoft .NET Framework
'       documentation for more information on this.
'
&lt;Assembly: AssemblyDelaySign(false)&gt;
&lt;Assembly: AssemblyKeyFile("")&gt;
&lt;Assembly: AssemblyKeyName("")&gt;
'&lt;Assembly: CLSCompliant(true)&gt;
&lt;Assembly: ComVisible(false)&gt;
</xsl:text>
</xsl:template>

</xsl:stylesheet>

