<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	>
<xsl:output 
	method="xml" 
	indent="yes" 
	omit-xml-declaration="yes"
	/>
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Business Service Layer
// Language:		.NET C#
// Template:		Visual Studio Project
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "DataRetrieval.csproj" -->
<!-- Folder = "DataRetrieval" -->

<xsl:param name="ObjectName" select="'NextGeneration'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>

<!--
//
// Main Template
//
-->
<xsl:template match="/">
	<VisualStudioProject>
		<CSHARP ProjectType="Local" ProductVersion="7.0.9466" SchemaVersion="1.0">
			<!-- ProjectGuid = "{29073BE0-C2C5-428C-833C-26DC2BE77787}" -->
			<Build>
				<Settings 
					ApplicationIcon="" 
					AssemblyKeyContainerName="" 
					AssemblyName="{$Namespace}.DataRetrieval" 
					AssemblyOriginatorKeyFile="" 
					DefaultClientScript="JScript" 
					DefaultHTMLPageLayout="Grid" 
					DefaultTargetSchema="IE50" 
					DelaySign="false" 
					OutputType="Library" 
					RootNamespace="{$Namespace}.DataRetrieval" 
					StartupObject="">
					
					<Config 
						Name="Debug" 
						AllowUnsafeBlocks="false" 
						BaseAddress="285212672" 
						CheckForOverflowUnderflow="false" 
						ConfigurationOverrideFile="" 
						DefineConstants="DEBUG;TRACE" 
						DocumentationFile="Doc\{$Namespace}.DataRetrieval.xml" 
						DebugSymbols="true" 
						FileAlignment="4096" 
						IncrementalBuild="true" 
						Optimize="false" 
						OutputPath="bin\Debug\" 
						RegisterForComInterop="false" 
						RemoveIntegerChecks="false" 
						TreatWarningsAsErrors="false" 
						WarningLevel="4"/>
						
					<Config Name="Release" 
						AllowUnsafeBlocks="false" 
						BaseAddress="285212672" 
						CheckForOverflowUnderflow="false" 
						ConfigurationOverrideFile="" 
						DefineConstants="TRACE" 
						DocumentationFile="Doc\{$Namespace}.DataRetrieval.xml" 
						DebugSymbols="false" 
						FileAlignment="4096" 
						IncrementalBuild="false" 
						Optimize="true" 
						OutputPath="bin\Release\" 
						RegisterForComInterop="false" 
						RemoveIntegerChecks="false" 
						TreatWarningsAsErrors="false" 
						WarningLevel="4"/>
				</Settings>
				
				<References>
				
            <Reference
                Name = "System.Data"
                AssemblyName = "System.Data"  
            />
            <Reference
                Name = "System"
                AssemblyName = "System" 
            />
            <Reference
                Name = "System.XML"
                AssemblyName = "System.XML"
            />
				
        </References>
        
			</Build>
			<Files>
				<Include>
					<File
						RelPath = "AssemblyInfo.cs"
						SubType = "Code"
						BuildAction = "Compile"
						/>	
					<File
						RelPath = "DataRetrievalFactory.cs"
						SubType = "Code"
						BuildAction = "Compile"
						/>	
					<File
						RelPath = "DataRetrievalSqlConnection.cs"
						SubType = "Code"
						BuildAction = "Compile"
						/>	
					<File
						RelPath = "DataRetrievalWebService.cs"
						SubType = "Code"
						BuildAction = "Compile"
						/>						
				</Include>
			</Files>
		</CSHARP>
	</VisualStudioProject>
</xsl:template>

</xsl:stylesheet>
