<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:asp="urn:microsoft:aspx"
	>
	
<xsl:import 
	href="WebUICommon.xsl" 
	/>
	
<xsl:output 
	method="text" 
	indent="no" 
	omit-xml-declaration="yes"
	/>
	
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Web User Interface
// Language:		.NET C#
// Template:		Header Component
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "Header.ascx"	-->
<!-- Folder   = "WebUI\Components" -->
	
<xsl:param name="ObjectName" select="'Employees'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>

<!--
//
// Main Template - Create a Header control
//
-->
<xsl:template match="/">
	
<xsl:text disable-output-escaping="yes">
&lt;%@ Register TagPrefix=&quot;uc1&quot; TagName=&quot;Menu&quot; Src=&quot;Menu.ascx&quot; %&gt;
&lt;%@ Control Language=&quot;c#&quot; AutoEventWireup=&quot;false&quot; Codebehind=&quot;Header.ascx.cs&quot; Inherits=&quot;</xsl:text>
<xsl:value-of select="$Namespace"/>
<xsl:text disable-output-escaping="yes">.WebUI.Components.Header&quot; TargetSchema=&quot;http://schemas.microsoft.com/intellisense/ie5&quot; %&gt;
&lt;table border=&quot;0&quot; cellpadding=&quot;0&quot; id=&quot;HeadingTable&quot; cellspacing=&quot;0&quot; width=&quot;100%&quot;&gt;
	&lt;tr class=&quot;SiteHeading&quot;&gt;
		&lt;td class=&quot;SiteLogo&quot;&gt;
		&lt;!-- &lt;img border=&quot;0&quot; src=&quot;companylogo.gif&quot;&gt; --&gt;
		&amp;nbsp;
		&lt;/td&gt;
		&lt;td class=&quot;SiteTitle&quot;&gt;
			&lt;h1&gt;NextGeneration Application&lt;/h1&gt;
		&lt;/td&gt;
	&lt;/tr&gt;
&lt;/table&gt;
&lt;table border=&quot;0&quot; cellpadding=&quot;0&quot; id=&quot;LayoutTable&quot; cellspacing=&quot;0&quot;&gt;
	&lt;tr&gt;
		&lt;td valign=&quot;top&quot;&gt;
			&lt;uc1:Menu id=&quot;MainMenu&quot; runat=&quot;server&quot;&gt;&lt;/uc1:Menu&gt;
		&lt;/td&gt;
		&lt;td valign=&quot;top&quot;&gt;
			&lt;div id=&quot;Content&quot;&gt;
				&lt;!-- end header; begin content --&gt;
				&lt;!-- remove any closing tags after this line --&gt;
</xsl:text>	
	
</xsl:template>
	
	
</xsl:stylesheet>
