<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	>

<xsl:output 
	method="text" 
	indent="no" 
	omit-xml-declaration="yes" 
	/>
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Web Service Stuff
// Language:		.NET C#
// Template:		Business Service Sub Class
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "{0}Service.asmx" -->
<!-- Folder = "BusinessWebService" -->

<xsl:param name="ObjectName" select="'Timesheet'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>

<!--
//
// Main Template
//
-->
<xsl:template match="/">

	<xsl:apply-templates select="/db/Table[table_name_safe = $ObjectName]"/>	
	
</xsl:template>


<!--
//
// Create the BusinessService class
//
-->
<xsl:template match="Table">

	<xsl:text>
&lt;&#37;@ WebService Language="c#" CodeBehind="Code\</xsl:text>
<xsl:value-of select="table_name_safe"/>
<xsl:text>WebService.asmx.cs" Class="</xsl:text>
<xsl:value-of select="$Namespace"/>
<xsl:text>.BusinessWebService.</xsl:text>
<xsl:value-of select="table_name_safe"/>
<xsl:text>Service" &#37;&gt;

</xsl:text>


</xsl:template>

</xsl:stylesheet>

