<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	>
<xsl:output 
	method="xml" 
	indent="yes" 
	omit-xml-declaration="yes"
	/>
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Business Web Service
// Language:		.NET C#
// Template:		Webinfo file for Visual Studio Project
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->
<!-- FileName = "BusinessWebService.csproj.webinfo" -->
<!-- Folder = "BusinessWebService" -->

<xsl:param name="ObjectName" select="'NextGeneration'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>
<xsl:param name="BusinessWebServiceIISVirtualDirectory" select="'NextGenerationWebService'"/>

<!--
//
// Template Parameters
//
-->
<xsl:template mode="Parameters" match="none">

<Parameter 
	KeyName="BusinessWebServiceIISVirtualDirectory" 
	DisplayName="IIS Virtual Directory" 
	Type="String"
	Description="Enter the virtual directory for your web services. e.g. Entering 'MyWebServices' will create a web application on http://localhost/MyWebServices/  Do not use any special characters or spaces. A virtual directory name that uses only letters is recommended." 
	DefaultValue="MyWebServices" 
	ListType="None">
</Parameter>

</xsl:template>

<!--
//
// Main Template
//
-->
<xsl:template match="/">

<VisualStudioUNCWeb>
    <Web URLPath = "http://localhost/{$BusinessWebServiceIISVirtualDirectory}/BusinessWebService.csproj" />
</VisualStudioUNCWeb>

</xsl:template>


</xsl:stylesheet>
