<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:asp="urn:microsoft:aspx"
	>
	
<xsl:import 
	href="WebUICommon.xsl" 
	/>
	
<xsl:output 
	method="text" 
	indent="no" 
	omit-xml-declaration="yes"
	/>
	
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Web User Interface
// Language:		.NET C#
// Template:		Footer Component
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "Footer.ascx"	-->
<!-- Folder   = "WebUI\Components" -->
	
<xsl:param name="ObjectName" select="'Employees'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>

<!--
//
// Main Template - Create a Header control
//
-->
<xsl:template match="/">
	
<xsl:text disable-output-escaping="yes">
&lt;%@ Control Language=&quot;c#&quot; Codebehind=&quot;Footer.ascx.cs&quot; Inherits=&quot;</xsl:text>
<xsl:value-of select="$Namespace"/>
<xsl:text disable-output-escaping="yes">.WebUI.Components.Footer&quot; AutoEventWireup=&quot;false&quot; TargetSchema=&quot;http://schemas.microsoft.com/intellisense/ie5&quot; %&gt;
&lt;!-- end content; begin footer --&gt;
&lt;/DIV&gt;
&lt;/TD&gt;&lt;/TR&gt;&lt;/TABLE&gt;
&lt;br clear=&quot;all&quot;&gt;
&lt;div id=&quot;Footer&quot;&gt;
	&lt;!-- add footer links here --&gt;
	This website created with &lt;a href=&quot;http://www.radsoftware.com.au/&quot;&gt;Rad Software 
		NextGeneration&lt;/a&gt;
&lt;/div&gt;
</xsl:text>	
	
</xsl:template>
	
	
</xsl:stylesheet>
