<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:asp="urn:microsoft:aspx"
	>
		
<xsl:output 
	method="text" 
	indent="no" 
	omit-xml-declaration="yes"
	/>
	
<!-- 
//
// NextGeneration Template
// 
// Template Set:	Web User Interface
// Language:		.NET C#
// Template:		Global.asax
//
// Copyright (c) Ross Donald 2003-2004
// http://www.radsoftware.com.au
//
-->

<!-- FileName = "Global.asax"	-->
<!-- Folder   = "WebUI" -->
	
<xsl:param name="ObjectName" select="'Employees'"/>
<xsl:param name="Namespace" select="'NextGeneration'"/>

<!--
//
// Main Template
//
-->
<xsl:template match="/">
	
<xsl:text disable-output-escaping="yes">
&lt;%@ Application Codebehind=&quot;Global.asax.cs&quot; Inherits=&quot;</xsl:text>
<xsl:value-of select="$Namespace"/>
<xsl:text disable-output-escaping="yes">.WebUI.Global&quot; %&gt;
</xsl:text>	
	
</xsl:template>
	
	
</xsl:stylesheet>
